## org.apache.aries.subsystem.obr.internal
Class OsgiCapabilityAdapter

    java.lang.Object
      org.apache.aries.subsystem.obr.internal.OsgiCapabilityAdapter

All Implemented Interfaces:
  org.apache.felix.bundlerepository.Capability

    public class OsgiCapabilityAdapter

extends Object
implements org.apache.felix.bundlerepository.Capability

Field Summary

Fields inherited from interface org.apache.felix.bundlerepository.Capability
`BUNDLE, EXECUTIONENVIRONMENT, FRAGMENT, PACKAGE, SERVICE`

Constructor Summary
`OsgiCapabilityAdapter(org.osgi.resource.Capability capability)`

Method Summary
`boolean` `equals(Object o)`
`String` `getName()`
`org.apache.felix.bundlerepository.Property[]` `getProperties()`
`Map` `getPropertiesAsMap()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OsgiCapabilityAdapter

    public OsgiCapabilityAdapter(org.osgi.resource.Capability capability)

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.apache.felix.bundlerepository.Capability`

### getProperties

    public org.apache.felix.bundlerepository.Property[] getProperties()

  Specified by:
    `getProperties` in interface `org.apache.felix.bundlerepository.Capability`

### getPropertiesAsMap

    public Map getPropertiesAsMap()

  Specified by:
    `getPropertiesAsMap` in interface `org.apache.felix.bundlerepository.Capability`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.